Limerence
Agents

Commit Agent Fragments

Read fragments from the agent's persistent filesystem and commit them to instructions

POST
/agents/{id}/commit-fragments

Read fragments from the agent's persistent filesystem and commit them to instructions

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/agents/string/commit-fragments"
{
  "added": 0,
  "instructions": [
    {
      "property1": "string",
      "property2": "string"
    }
  ],
  "skippedDuplicates": 0,
  "total": 0
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "agents/no-fragments",
    "detail": "The onboarding session did not produce a fragments file. Are you sure you wrote to fragments.jsonl and did not use array format and instead used jsonl?"
  },
  "message": "No fragments file found"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}